### Method

# Shell PerfLog replay

#### Declaration [src]

    void
    shell_perf_log_replay (
      ShellPerfLog* perf_log,
      ShellPerfReplayFunction replay_function,
      gpointer user_data
    )

#### Description [src]

Replays the log by calling the given function for each event in the log.

#### Parameters

`replay_function`

  Type: `ShellPerfReplayFunction`

  Function to call for each event in the log.

`user_data`

  Type: `gpointer`

  Data to pass to `replay_function`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.